View Issue Details

IDProjectCategoryView StatusLast Update
0033099LazarusWidgetsetpublic2019-12-28 22:24
ReporterC Western Assigned ToOndrej Pokorny  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.9 (SVN) 
Summary0033099: Menu item Bitmap issues
DescriptionThe attached project shows two issues under GTK2:
1. The icon in the menu is not transparent (shows a grey square)
2. The application shows:
WARNING: There are 19 unreleased DCs, a detailed dump follow
and the number of unreleased DC's increases with the number of times the menu is shown
TagsNo tags attached.
Fixed in Revision57227, 57230, 57231, 57232
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

related to 0033122 closedZeljan Rikalo Qt, Qt5: Menu item Bitmap issues 
related to 0036490 resolvedOndrej Pokorny Bitmap transparency (mask) not respected by TMenuItem 

Activities

C Western

2018-01-29 23:05

reporter  

mi.zip (1,914 bytes)

C Western

2018-01-29 23:20

reporter   ~0106125

Update: Replacing the main form code with that below triggers a crash. I think the non-transparency issue has been present for a while.

  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    MenuItem1: TMenuItem;
    MenuItem2: TMenuItem;
  public
    procedure Loaded; override;
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

procedure TForm1.Loaded;
begin
  inherited Loaded;
  MenuItem2.Bitmap.Transparent := True;
end;

Ondrej Pokorny

2018-02-03 15:25

developer   ~0106189

Fixed, please test and close if OK.

C Western

2018-02-04 12:38

reporter   ~0106218

All looks good. Thank You

Issue History

Date Modified Username Field Change
2018-01-29 23:05 C Western New Issue
2018-01-29 23:05 C Western File Added: mi.zip
2018-01-29 23:20 C Western Note Added: 0106125
2018-01-30 04:22 Ondrej Pokorny Assigned To => Ondrej Pokorny
2018-01-30 04:22 Ondrej Pokorny Status new => assigned
2018-01-30 12:53 Ondrej Pokorny LazTarget => -
2018-01-30 12:53 Ondrej Pokorny Summary New image list implementation looses transparency => New image list implementation loses transparency
2018-02-03 13:47 Ondrej Pokorny Summary New image list implementation loses transparency => Menu item Bitmap issues
2018-02-03 15:25 Ondrej Pokorny Fixed in Revision => 57227, 57230, 57231, 57232
2018-02-03 15:25 Ondrej Pokorny Note Added: 0106189
2018-02-03 15:25 Ondrej Pokorny Status assigned => resolved
2018-02-03 15:25 Ondrej Pokorny Resolution open => fixed
2018-02-03 18:22 Zeljan Rikalo Relationship added related to 0033122
2018-02-04 12:38 C Western Note Added: 0106218
2018-02-04 12:38 C Western Status resolved => closed
2019-12-28 22:24 Juha Manninen Relationship added related to 0036490